#
# spec file for package tigervnc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define vncgroup vnc
%define vncuser vnc

%define tlskey  %{_sysconfdir}/vnc/tls.key
%define tlscert %{_sysconfdir}/vnc/tls.cert

Name:           tigervnc
Version:        1.6.0
Release:        5.1
Provides:       tightvnc = 1.3.9
Obsoletes:      tightvnc < 1.3.9
Provides:       vnc
BuildRequires:  Mesa-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  cmake
BuildRequires:  fltk-devel
BuildRequires:  gcc-c++
BuildRequires:  gcc-c++
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  libjpeg-devel
BuildRequires:  libopenssl-devel
BuildRequires:  libtool
BuildRequires:  nasm
BuildRequires:  xorg-x11-server-sdk
BuildRequires:  xorg-x11-server-source
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(xtst)
# Because of keytool to build java client
BuildRequires:  libgcrypt-devel
BuildRequires:  libgpg-error-devel
BuildRequires:  mozilla-nss
BuildRequires:  pam-devel
BuildRequires:  pkg-config
BuildRequires:  xmlto
BuildRequires:  xorg-x11-libICE-devel
BuildRequires:  xorg-x11-libSM-devel
BuildRequires:  pkgconfig(bigreqsproto) >= 1.1.0
BuildRequires:  pkgconfig(compositeproto) >= 0.4
BuildRequires:  pkgconfig(damageproto) >= 1.1
BuildRequires:  pkgconfig(dri)
BuildRequires:  pkgconfig(fixesproto) >= 4.1
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  pkgconfig(fontutil)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glproto)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(inputproto)  >= 1.9.99.902
BuildRequires:  pkgconfig(kbproto) >= 1.0.3
BuildRequires:  pkgconfig(libtasn1)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(pciaccess) >= 0.8.0
BuildRequires:  pkgconfig(pixman-1) >= 0.15.20
BuildRequires:  pkgconfig(presentproto) >= 1.0
BuildRequires:  pkgconfig(randrproto) >= 1.2.99.3
BuildRequires:  pkgconfig(recordproto) >= 1.13.99.1
BuildRequires:  pkgconfig(renderproto) >= 0.11
BuildRequires:  pkgconfig(resourceproto)
BuildRequires:  pkgconfig(scrnsaverproto) >= 1.1
BuildRequires:  pkgconfig(videoproto)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xcmiscproto) >= 1.2.0
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  pkgconfig(xextproto) >= 7.0.99.3
BuildRequires:  pkgconfig(xf86driproto) >= 2.1.1
BuildRequires:  pkgconfig(xfont) >= 1.4.2
BuildRequires:  pkgconfig(xineramaproto)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xorg-macros) >= 1.14
BuildRequires:  pkgconfig(xproto)  >= 7.0.17
BuildRequires:  pkgconfig(xtrans) >= 1.2.2
%if 0%{?suse_version} >= 1315
Requires(post):   update-alternatives
Requires(postun): update-alternatives
%endif
Url:            http://tigervnc.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        A high-performance, platform-neutral implementation of VNC
License:        GPL-2.0 and MIT
Group:          System/X11/Servers/XF86_4
Source1:        https://github.com/TigerVNC/tigervnc/archive/v%{version}.tar.gz
Source3:        vnc.xinetd
Source4:        10-libvnc.conf
Source5:        vnc-server.firewall
Source6:        vnc-httpd.firewall
Source7:        vnc_inetd_httpd
Source8:        vnc.reg
Source9:        vncpasswd.arg
Source10:       vnc.pam
Source11:       with-vnc-key.sh
Patch1:         tigervnc-newfbsize.patch
Patch2:         tigervnc-clean-pressed-key-on-exit.patch
Patch3:         u_tigervnc-ignore-epipe-on-write.patch
Patch4:         n_tigervnc-date-time.patch
Patch5:         U_include-vencrypt-only-if-any-subtype-present.patch
Patch6:         u_tigervnc-cve-2014-8240.patch
Patch7:         u_tigervnc-add-autoaccept-parameter.patch
Patch8:         u_xserver118.patch
Patch9:         u_tigervnc_update_default_vncxstartup.patch
Patch10:        U_add_allowoverride_parameter.patch
Patch11:        u_build_libXvnc_as_separate_library.patch
Patch12:        u_tigervnc-show-unencrypted-warning.patch
Patch13:        U_tigervnc_clear_up_zlibinstream_reset_behaviour.patch
Patch14:        U_tigervnc-fix-buffer-overflow-in-ModifiablePixelBuffer-fillRect.patch
Patch15:        U_tigervnc-prevent-invalid-PixelBuffer-accesses.patch
Patch16:        U_tigervnc-check-invalid-RRE-rects.patch
Patch17:        U_tigervnc-better-check-for-screen-visibility.patch
Patch18:        U_tigervnc_proper_global_init_deinit_of_GnuTLS.patch

%description
TigerVNC is a high-performance, platform-neutral implementation of VNC (Virtual Network Computing), 
a client/server application that allows users to launch and interact with graphical applications on remote machines. 
TigerVNC provides the levels of performance necessary to run 3D and video applications;
it attempts to maintain a common look and feel and re-use components, where possible, across the various platforms that it supports. 
TigerVNC also provides extensions for advanced authentication methods and TLS encryption.

%package -n xorg-x11-Xvnc
Requires(post): /usr/sbin/useradd
Requires(post): /usr/sbin/groupadd
# Needed to serve java applet
Requires:       icewm
Requires:       python
Requires:       python-pyOpenSSL
Requires:       xauth
Requires:       xinetd
Requires:       xinit
Requires:       xkbcomp
Requires:       xkeyboard-config
Requires:       xorg-x11-fonts-core
Provides:       xorg-x11-Xvnc:/usr/lib/vnc/with-vnc-key.sh
Summary:        TigerVNC implementation of Xvnc
Group:          System/X11/Servers/XF86_4

%description -n xorg-x11-Xvnc
This is the TigerVNC implementation of Xvnc.

%package -n libXvnc1
Summary:        X extension to control VNC module
Group:          System/Libraries

%description -n libXvnc1
Xvnc extension allows X clients to read and change VNC configuration.

%package -n libXvnc-devel
Summary:        X extension to control VNC module
Group:          Development/Libraries/C and C++
Requires:       libXvnc1 = %version

%description -n libXvnc-devel
Xvnc extension allows X clients to read and change VNC configuration.

%prep
%setup -T -b1 -q
cp -r /usr/src/xserver/* unix/xserver/

%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p0
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1

pushd unix/xserver
patch -p1 < ../xserver117.patch
popd

%build
export CXXFLAGS="%optflags -fPIC"
export CFLAGS="%optflags -fPIC"
# Build all tigervnc
cmake -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} -DCMAKE_BUILD_TYPE=RelWithDebInfo -DBUILD_TIMESTAMP="??-??-?? ??:??"
make %{?_smp_mflags}

# Build Xvnc server
pushd unix/xserver
autoreconf -fi
%configure \
        --disable-xorg --disable-xnest --disable-xvfb --disable-dmx \
        --disable-xwin --disable-xephyr --disable-kdrive --with-pic \
        --disable-static --disable-xinerama \
        --with-xkb-path="/usr/share/X11/xkb" \
        --with-xkb-output="/var/lib/xkb/compiled" \
        --enable-glx --enable-dri \
%ifnarch s390 s390x
	--enable-dri2 \
%endif
        --disable-config-dbus \
        --disable-config-hal \
        --disable-config-udev \
        --without-dtrace \
        --disable-unit-tests \
        --disable-devel-docs \
        --with-fontrootdir=/usr/share/fonts \
        --disable-selective-werror
make %{?_smp_mflags} V=1
popd

# Build java client
pushd java
cmake -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix}
make %{?_smp_mflags}
popd

%install

%make_install

mv $RPM_BUILD_ROOT/usr/bin/vncviewer $RPM_BUILD_ROOT/usr/bin/vncviewer-tigervnc
mv $RPM_BUILD_ROOT/usr/share/man/man1/vncviewer.1 $RPM_BUILD_ROOT/usr/share/man/man1/vncviewer-tigervnc.1

pushd unix/xserver
%make_install
popd

pushd java
mkdir -p $RPM_BUILD_ROOT%{_datadir}/vnc/classes
install -m755 VncViewer.jar $RPM_BUILD_ROOT%{_datadir}/vnc/classes
popd

install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/xinetd.d/vnc
%ifnarch s390x
install -D -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/X11/xorg.conf.d/10-libvnc.conf
%endif
install -D -m 644 %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/SuSEfirewall2.d/services/vnc-server
install -D -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/SuSEfirewall2.d/services/vnc-httpd
install -D -m 755 %{SOURCE7} $RPM_BUILD_ROOT%{_bindir}/vnc_inetd_httpd
install -D -m 644 %{SOURCE8} $RPM_BUILD_ROOT/etc/slp.reg.d/vnc.reg
install -D -m 755 %{SOURCE9} $RPM_BUILD_ROOT%{_bindir}/vncpasswd.arg
install -D -m 644 %{SOURCE10} $RPM_BUILD_ROOT/etc/pam.d/vnc
%if 0%{?suse_version} >= 1315
ln -s -f %{_sysconfdir}/alternatives/vncviewer $RPM_BUILD_ROOT%{_bindir}/vncviewer
ln -s -f %{_sysconfdir}/alternatives/vncviewer.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/vncviewer.1.gz
%endif

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/vnc

mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/vnc
install -D -m 755 %{SOURCE11} $RPM_BUILD_ROOT%{_libexecdir}/vnc

# rm -rf $RPM_BUILD_ROOT/usr/share/doc/tigervnc-*

%find_lang '%{name}'

%pre -n xorg-x11-Xvnc
getent group %{vncgroup} > /dev/null || groupadd -r %{vncgroup} || :
getent passwd %{vncuser} > /dev/null || useradd -r -g %{vncgroup} -d /var/lib/empty -s /sbin/nologin -c "user for VNC" %{vncuser} || :

%post
%if 0%{?suse_version} >= 1315
%_sbindir/update-alternatives \
    --install %{_bindir}/vncviewer vncviewer %{_bindir}/vncviewer-tigervnc 20 \
    --slave %{_mandir}/man1/vncviewer.1.gz  vncviewer.1.gz  %{_mandir}/man1/vncviewer-tigervnc.1.gz
%endif

%postun
%if 0%{?suse_version} >= 1315
if [ "$1" = 0 ] ; then
   "%_sbindir/update-alternatives" --remove vncviewer /usr/bin/vncviewer-tigervnc
fi
%endif

%post -n libXvnc1 -p /sbin/ldconfig

%postun -n libXvnc1 -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%ghost %{_bindir}/vncviewer
%{_bindir}/vncviewer-tigervnc
%doc LICENCE.TXT README.txt
%ghost %_mandir/man1/vncviewer.1.gz
%doc %_mandir/man1/vncviewer-tigervnc.1.gz
%if 0%{?suse_version} >= 1315
%ghost %_sysconfdir/alternatives/vncviewer
%ghost %_sysconfdir/alternatives/vncviewer.1.gz
%endif

%files -n xorg-x11-Xvnc
%defattr(-,root,root)

%exclude /usr/share/doc/tigervnc-%{version}
%doc LICENCE.TXT README.txt
%defattr(-,root,root)

%{_bindir}/Xvnc
%{_bindir}/vncconfig
%{_bindir}/vncpasswd
%{_bindir}/vncpasswd.arg
%{_bindir}/vncserver
%{_bindir}/x0vncserver
%{_bindir}/vnc_inetd_httpd

%exclude %{_mandir}/man1/Xserver.1*
%{_mandir}/man1/Xvnc.1*
%{_mandir}/man1/vncconfig.1*
%{_mandir}/man1/vncpasswd.1*
%{_mandir}/man1/vncserver.1*
%{_mandir}/man1/x0vncserver.1*

%exclude /usr/%{_lib}/xorg/protocol.txt
%exclude /usr/%{_lib}/xorg/modules/extensions/libvnc.la
%ifnarch s390 s390x
%{_libdir}/xorg/modules/extensions/libvnc.so
%else
%exclude %{_libdir}/xorg/modules
%exclude %{_libdir}/xorg/modules/extensions
%exclude %{_libdir}/xorg/modules/extensions/libvnc.so
%endif

%exclude /var/lib/xkb/compiled/README.compiled

%config %{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/vnc-server
%config %{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/vnc-httpd

%ifnarch s390 s390x
%config(noreplace) /etc/X11/xorg.conf.d/10-libvnc.conf
%else
%exclude /etc/X11/xorg.conf.d
%endif
%config(noreplace) /etc/xinetd.d/vnc
%dir /etc/slp.reg.d
%config(noreplace) /etc/slp.reg.d/vnc.reg

%config %{_sysconfdir}/pam.d/vnc

%exclude /usr/lib/debug/*
%exclude /usr/lib/debug/.*
%exclude /usr/src/debug

%doc java/com/tigervnc/vncviewer/README
%{_datadir}/vnc

%dir %attr(0755,%{vncuser},%{vncuser}) %{_sysconfdir}/vnc
%ghost %attr(0600,%{vncuser},%{vncuser}) %config(noreplace) %{tlskey}
%ghost %attr(0644,%{vncuser},%{vncuser}) %config(noreplace) %{tlscert}

%{_libexecdir}/vnc

%files -n libXvnc1
%defattr(-,root,root)
%{_libdir}/libXvnc.so.1*

%files -n libXvnc-devel
%defattr(-,root,root)
%{_libdir}/libXvnc.so
%{_includedir}/X11/extensions/Xvnc.h

%changelog
* Thu Feb  2 2017 msrb@suse.com
- U_tigervnc_proper_global_init_deinit_of_GnuTLS.patch
  * Prevent crash caused by failed TLS connection. (bnc#1023012)
* Wed Feb  1 2017 msrb@suse.com
- U_tigervnc-better-check-for-screen-visibility.patch
  * Fix random client disconnections. (bnc#1022432)
* Wed Jan 18 2017 msrb@suse.com
- U_tigervnc-fix-buffer-overflow-in-ModifiablePixelBuffer-fillRect.patch,
  U_tigervnc-prevent-invalid-PixelBuffer-accesses.patch,
  U_tigervnc-check-invalid-RRE-rects.patch
  * Fix buffer overflow in client caused by malicious server.
    (bnc#1019274)
* Mon Oct 31 2016 msrb@suse.com
- Generate VNC key and certificate on first use, not during
  installation. (bnc#982349)
- Update for compatibility with vncmanager (bnc#1007465)
* Fri Apr 29 2016 msrb@suse.com
- Add U_add_allowoverride_parameter.patch and
    u_build_libXvnc_as_separate_library.patch (fate#319319)
- Add u_tigervnc-show-unencrypted-warning.patch (fate#319701)
* Wed Apr 27 2016 msrb@suse.com
- Add dependency on xorg-x11-fonts-core. (bnc#977019)
* Tue Jan 12 2016 msrb@suse.com
- Updated to tigervnc 1.6.0.
- Removed patches:
  * N_tigervnc_revert_fltk_1_3_3_requirements.patch
  * U_tigervnc-fix-reversed-logic-in-vncIsTCPPortUsed.patch
  * u_tigervnc-display-SHA-1-fingerprint-of-untrusted-certificate.patch
  * u_tigervnc-use-default-trust-manager-in-java-viewer-if-custom.patch
  * u_tigervnc-use_preferred_mode.patch
  * u_tigervnc-vncserver-clean-pid-files.patch
- Updated patches:
  * n_tigervnc-date-time.patch
  * u_tigervnc-add-autoaccept-parameter.patch
  * u_tigervnc_update_default_vncxstartup.patch
* Wed Dec 16 2015 msrb@suse.com
- u_tigervnc_update_default_vncxstartup.patch
  * Update default VNC xstartup script.
- Add dependency on xinit and icewm. (bnc#956537)
* Thu Nov 12 2015 msrb@suse.com
- u_xserver118.patch
  * Build with xserver 1.18.0.
* Thu Oct  1 2015 msrb@suse.com
- u_tigervnc-vncserver-clean-pid-files.patch
  * vncserver: Clean pid files of dead processes. (bnc#948392)
* Sun Sep 13 2015 msrb@suse.com
- U_tigervnc-fix-reversed-logic-in-vncIsTCPPortUsed.patch
  * Fixes Xvnc with -inetd parameter. (bnc#945600)
* Thu Aug 27 2015 hguo@suse.com
- VNC server cannot run without xauth and xkbcomp, therefore
  introduce these dependencies.
* Tue Aug 25 2015 msrb@suse.com
- Remove commented out DefaultDepth 16 from 10-libvnc.conf file.
  Using 16 bit depth can cause troubles and does not have any
  positives anymore, so lets not suggest it to users. (bnc#942982)
* Fri Jul 31 2015 dimstar@opensuse.org
- Add /usr/sbin/groupadd and /usr/sbin/useradd Requires(post) to
  xorg-x11-Xvnc: the scripts are creating users/groups.
* Wed Jul 15 2015 msrb@suse.com
- Updated to tigervnc 1.5.0.
- Dropped no longer needed patches:
  * tigervnc-sf3495623.patch
  * u_syslog.patch
  * u_tigervnc-build-with-xserver-1.17.patch
  * tigervnc-gnutls-3.4-required.patch
  * u_tigervnc-dont-send-ascii-control-characters.patch
  * u_terminate_instead_of_ignoring_restart.patch
- Dropped no longer needed index.vnc.
- Use encryption everywhere. (fate#318936)
  * u_tigervnc-display-SHA-1-fingerprint-of-untrusted-certificate.patch
  * u_tigervnc-use-default-trust-manager-in-java-viewer-if-custom.patch
  * u_tigervnc-add-autoaccept-parameter.patch
- Work with fltk 1.3.2.
  * N_tigervnc_revert_fltk_1_3_3_requirements.patch
* Thu May 28 2015 ro@suse.de
- add buildrequires for xf86driproto and presentproto to
  match xserver
- disable dri2 on s390/s390x
* Mon Apr 20 2015 msrb@suse.com
- u_syslog.patch, vnc.xinetd
  * Add logging to syslog.
* Wed Apr 15 2015 dimstar@opensuse.org
- Add tigervnc-gnutls-3.4-required.patch: raise gnutls dependency
  to 3.2. Simplifies code, but makes it build with gnutls 3.4.
  Patch taken from Arch.
* Tue Apr 14 2015 meissner@suse.com
- Updated to tigervnc 1.4.3
  * Upstream patches applied to the underlying Xorg code base to mitigate
    CVE-2015-0255 / bsc#915810.
  * Fixes for performance regressions introduced in 1.4.0.
  * Character encoding of clipboard text send by Java viewer now strictly
    adheres to the RFB specification.
* Wed Apr  1 2015 msrb@suse.com
- u_terminate_instead_of_ignoring_restart.patch
  * Terminate instead of ignoring restart. (bnc#920969)
* Tue Feb 24 2015 msrb@suse.com
- Fix build against X server 1.17.x.
  * u_tigervnc-build-with-xserver-1.17.patch
* Thu Feb  5 2015 msrb@suse.com
- Use xserver sources from xorg-x11-server-source.
- Drop no longer needed patches:
  * N_xorg-server-xdmcp.patch
  * n_tigervnc-dont-build-gtf.patch
* Fri Jan  9 2015 msrb@suse.com
- Update to tigervnc 1.4.1 on xorg-server 1.16.1.
- Drop upstreamed or obsolete patches:
    tigervnc-sf3492352.diff
    u_aarch64-support.patch
    u_tigervnc-check-shm-harder.patch
    u_arch-Fix-image-and-bitmap-byte-order-for-ppc64le.patch
    u_tigervnc-1.3.0-fix-use-after-free.patch
    tigervnc-1.2.80-fix-int-to-pointer.patch
* Sun Nov 16 2014 oscar@naiandei.net
- add -fPIC to CFLAGS and CXXFLAGS to compile correctly on armv7l
* Thu Oct 30 2014 msrb@suse.com
- u_tigervnc-cve-2014-8240.patch
  * Prevent potentially dangerous integer overflow.
    (bnc#900896 CVE-2014-8240)
* Mon Oct 13 2014 msrb@suse.com
- u_tigervnc-use_preferred_mode.patch
  * Mark user chosen resolution as preferred. (bnc#896540)
* Mon Aug 18 2014 sndirsch@suse.com
- use update-alternatives only on openSUSE > 13.1
* Mon Aug 18 2014 msrb@suse.com
- u_tigervnc-check-shm-harder.patch
  * Check if SHM really works before deciding to use it.
    (bnc#890580)
* Mon Aug  4 2014 msrb@suse.com
- U_include-vencrypt-only-if-any-subtype-present.patch
  * Do not automatically offer VeNCrypt security if none of it's
    subtypes is selected. (bnc#889781)
* Wed Jun  4 2014 msrb@suse.com
- Fix some errors reported by rpmlint.
* Thu May 29 2014 crrodriguez@opensuse.org
- n_tigervnc-date-time.patch package republishes everyday
  and gets on my nerves, this is because the binaries contain
  hardcoded timestamps, avoid that.
- export CXXFLAGS and CFLAGS before building ttigervnc otherwise
  it gets built without optimization.
- Make build verbose so it rpmlint catches errors like the above ones.
* Wed May 28 2014 msrb@suse.com
- Use update-alternatives.
* Tue May 20 2014 msrb@suse.com
- u_tigervnc-ignore-epipe-on-write.patch
  * Do not display error message because of EPIPE on write.
    (bnc#864676)
* Fri May 16 2014 msrb@suse.com
- Update to version 1.3.1
  * Security release (CVE-2014-0011).
* Mon Apr 28 2014 sndirsch@suse.com
- added missing pkgconfig(xorg-macros) >= 1.14
* Sat Apr 26 2014 sndirsch@suse.com
- xorg-x11-Xvnc: require xkeyboard-config (bnc#875329)
* Fri Apr 25 2014 msrb@suse.com
- vnc.xinetd
  * Do not use 16 bpp by default anymore. The network trafic gain
    of 16 bpp together with Tight encoding is arguable. 16 bpp
    causes graphical issues and is known to not work properly
    in Mesa. (bnc#871965)
* Mon Mar 17 2014 msrb@suse.com
- Update HTML page that serves vnc client applet. (bnc#867273)
- u_tigervnc-dont-send-ascii-control-characters.patch
  * Send CTRL+[A-Z] combinations instead of ascii control characters.
    (bnc#864666)
* Mon Feb 24 2014 msrb@suse.com
- u_arch-Fix-image-and-bitmap-byte-order-for-ppc64le.patch:
  arch: Fix image and bitmap byte order for ppc64le (bnc#865069)
* Thu Feb 13 2014 msrb@suse.com
- Readd vncpasswd.arg for compatibility with installation system
  and potentially another users. (bnc#855246)
* Fri Feb  7 2014 msrb@suse.com
- Drop tigervnc-sf3492503.diff, tigervnc-sf3495623.diff and
  tigervnc-sf3495623.patch.old (not used and not needed).
- Update tigervnc-sf3492352.diff and tigervnc-sf3495623.patch.
* Fri Jan 10 2014 sndirsch@suse.com
- do not include vnc Xserver module and xorg.conf snippet on s390x
* Thu Jan  9 2014 msrb@suse.com
- Remove unnecessary BuildRequires for binutils-gold.
* Mon Dec 16 2013 msrb@suse.com
- Exclude xorg-server-1.13.0/hw/xfree86/modes/xf86gtf.c and
  xorg-server-1.13.0/hw/xfree86/utils/gtf/gtf.c from xserver
  sources. (bnc#855566)
- n_tigervnc-dont-build-gtf.patch
  * Fix build with gtf files excluded. (bnc#855566)
* Tue Dec  3 2013 msrb@suse.com
- tigervnc-clean-pressed-key-on-exit.patch
  * Send release events for pressed keys after X I/O error.
    (bnc#670448)
* Mon Nov 18 2013 msrb@suse.com
- Update to 1.3.0.
- Build xorg-x11-Xvnc package from this sources.
* Wed Sep 19 2012 werner@suse.de
- Make it build with latest TeXLive 2012 and use pdf engine
* Wed Mar 21 2012 jengelh@medozas.de
- Add missing tarball
- Parallel build with %%_smp_mflags
- Remove redundant sections
* Fri Feb 24 2012 giecrilj@stegny.2a.pl
- bump to 1.1 (current stable)
- add documentation (bnc#748504)
- build dynamic server
- eliminate gethostbyname, patch submitted upstream
- incidental clean-up
* Wed Feb  9 2011 sndirsch@novell.com
- added jpeg-devel to BuildRequires
* Wed Feb  9 2011 sndirsch@novell.com
- use system jpeg for building
- fixed xkb path
- added more reasonable options for Xvfb building
* Wed Feb  9 2011 sndirsch@novell.com
- added Reinhard's xdmcp fix (bnc #625593)
* Wed Feb  9 2011 sndirsch@novell.com
- TigerVNC build
  * fix fontpatch
  * cleanup
* Wed Feb  9 2011 sndirsch@novell.com
- build Xvnc of TigerVNC project when %%tigervnc is set; make this
  the default for now
* Tue Feb  8 2011 sndirsch@novell.com
- latest version of Perl script
* Thu Feb  3 2011 sndirsch@novell.com
- renamed package from xorg-x11-Xvnc-ng to xorg-x11-Xvnc
* Thu Feb  3 2011 sndirsch@novell.com
- rewritten wrapper script in Perl
* Wed Jan 26 2011 sndirsch@novell.com
- added services file for SuSEfirewall2
* Wed Jan 26 2011 sndirsch@novell.com
- created package
